### File

`packages/components/eui-growl/eui-growl.component.ts`

### Implements

`DoCheck` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-growl`
imports | `NgClass` `TranslateModule` `EUI_ICON` `EUI_ICON_BUTTON` `EUI_ICON_STATE`
templateUrl | `./eui-growl.component.html`
styleUrl | `./eui-growl.scss`

### Index

###### Properties
contentId el titleId
###### Methods
isGrowlMoreThanTwo onClick remove removeAll
###### Inputs
ariaLive closeAllSticky e2eAttr life position sticky value
###### Outputs
growlClick
###### HostBindings
attr.aria-describedby attr.aria-labelledby attr.role class
###### HostListeners
click
###### Accessors
cssClasses ariaLabelledBy ariaDescribedBy

### Constructor

`constructor()`

### Inputs

ariaLive
Type : `"off" | "polite" | "assertive"`
Default value : `'polite'`

closeAllSticky
Type : `boolean`
Default value : `false`

e2eAttr
Type : `string`
Default value : `'eui-growl'`

life
Type : `number`
Default value : `3000`

position
Type : `string`

sticky
Type : `boolean`
Default value : `false`

value
Type : `EuiGrowlMessage[]`
Default value : `[]`

### Outputs

growlClick
Type : `EventEmitter<void>`

### HostBindings

attr.aria-describedby
Type : `string`

attr.aria-labelledby
Type : `string`

attr.role
Type : `string`
Default value : `'status'`

class
Type : `string`

### HostListeners

click
`click()`

### Methods

isGrowlMoreThanTwo
`isGrowlMoreThanTwo()`
check whether sticky growls are greater than two Returns : `boolean`

onClick
`onClick()`
Decorators : `@HostListener('click')`
Returns : `void`

remove
`remove(msg: EuiGrowlMessage)`
Parameters :
Name | Type | Optional | Description
msg | `EuiGrowlMessage` | No | The text message to appear in the container
Returns : `void`

removeAll
`removeAll()`
Removes all growl messages from the stack Returns : `void`

### Properties

contentId
Type : `string`
Default value : `'msg-detail'`

el
Default value : `inject(ElementRef)`

titleId
Type : `string`
Default value : `'msg-title'`

### Accessors

cssClasses
get `cssClasses()`

ariaLabelledBy
get `ariaLabelledBy()`

ariaDescribedBy
get `ariaDescribedBy()`

# results matching ""

# No results matching ""